LazyField
Date: 2017-07-08

com.google.protobuf

## Class LazyField

- java.lang.Object
- - com.google.protobuf.LazyFieldLite
  - - com.google.protobuf.LazyField

-     public class LazyField
      extends LazyFieldLite

  LazyField encapsulates the logic of lazily parsing message fields. It stores the message in a ByteString initially and then parse it on-demand. Most of key methods are implemented in `LazyFieldLite` but this class can contain default instance of the message to provide `hashCode()`, `euqals()` and `toString()`.

- - ### Field Summary

    - ### Fields inherited from class com.google.protobuf.LazyFieldLite

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyField(MessageLite defaultInstance, ExtensionRegistryLite extensionRegistry, ByteString bytes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsDefaultInstance()` Determines whether this LazyFieldLite instance represents the default instance of this type.
    `boolean` | `equals(java.lang.Object obj)`
    `MessageLite` | `getValue()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.google.protobuf.LazyFieldLite

      `clear, ensureInitialized, fromValue, getSerializedSize, getValue, merge, mergeFrom, set, setByteString, setValue, toByteString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyField

          public LazyField(MessageLite defaultInstance,
                   ExtensionRegistryLite extensionRegistry,
                   ByteString bytes)

  - ### Method Detail

    - #### containsDefaultInstance

          public boolean containsDefaultInstance()

      Description copied from class: `LazyFieldLite`
      Determines whether this LazyFieldLite instance represents the default instance of this type.
      Overrides:
        `containsDefaultInstance` in class `LazyFieldLite`

    - #### getValue

          public MessageLite getValue()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `LazyFieldLite`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `LazyFieldLite`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`